Name: troll-ftpd
Version: 1.22
Release: 2
Copyright: freeware
URL: http://www.troll.no/freebies/ftpd.html
Source0: ftp://ftp.troll.no/freebies/ftpd/troll-ftpd-1.22.tar.gz
Source1: mkusers.cron
Patch0: troll-ftpd-1.22-pam.patch
Patch1: troll-ftpd-1.22-location.patch
Patch2: troll-ftpd-1.22-xcommands.patch
Packager: Ximenes Zalteca <ximenes@mythic.net>
Group: Networking/Daemons
Provides: ftpserver
Conflicts: wu-ftpd, anonftp
BuildRoot: /tmp/troll-ftpd-root/
Summary: A small, more secure FTP daemon

%description
This is Troll Tech's freeware FTPd. It's designed to be small, use less
resources, and to not execute external programs. It supports only the most-used
features and commands of FTP, leaves out depreciated or meaningless commands,
and anything that correlates with trouble.

It supports virtual hosts, FTP-only accounts, anonymous FTP, and suspension of
downloads after a certain load average is reached. This version has been
PAMified for your protection.

%changelog
* Sat Nov 1 1997 Ximenes Zalteca <ximenes@mythic.net> 1.22-2
- Added support for XPWD, XRMD, and XMKD (treated exactely like PWD, RMD, 
  and MKD). This is necessary for at least the FTP.EXE that ships with Windows
  95, and possibly for other "broken" clients.

* Tue Oct 7 1997 Ximenes Zalteca <ximenes@mythic.net> 1.22-1
- Updated to 1.22
- Added PAM support, thanks to Kelley L. <redhat@cococo.net>

* Tue Aug 26 1997 Ximenes Zalteca <ximenes@mythic.net> 1.21-1
- Initial release

%prep
%setup
%patch0 
%patch1
%patch2

%build
make RPM_OPT_FLAGS="${RPM_OPT_FLAGS}"
strip ftpd mkusers

%install
mkdir -p ${RPM_BUILD_ROOT}/etc/pam.d/
mkdir -p ${RPM_BUILD_ROOT}/var/ftp/
mkdir -p ${RPM_BUILD_ROOT}/usr/sbin/
mkdir -p ${RPM_BUILD_ROOT}/usr/man/man8/
make install RPM_BUILD_ROOT="${RPM_BUILD_ROOT}"
mkdir -p ${RPM_BUILD_ROOT}/etc/cron.daily/
install -c ${RPM_SOURCE_DIR}/mkusers.cron ${RPM_BUILD_ROOT}/etc/cron.daily/

%post
/usr/sbin/mkusers

cp -f /etc/inetd.conf /etc/inetd.conf.rpmsave
cat /etc/inetd.conf | grep -v ftpd | grep -v in.ftpd | grep -v "End of inetd.conf" > /etc/inetd.conf
echo "#" >> /etc/inetd.conf
echo "# Troll FTPd" >> /etc/inetd.conf
echo "#" >> /etc/inetd.conf
echo "ftp  stream  tcp     nowait  root  /usr/sbin/tcpd /usr/sbin/ftpd" >> /etc/inetd.conf
echo >> /etc/inetd.conf
echo "# End of inetd.conf" >> /etc/inetd.conf

kill -HUP `cat /var/run/inetd.pid`

%postun
if [ -f /etc/inetd.conf.rpmsave ]; then
     mv /etc/inetd.conf/rpmsave /etc/inetd.conf ;
else
     cat /etc/inetd.conf | grep -v ftpd | grep -v Troll >> /etc/inetd.conf
fi

if [ -e /var/run/inetd.pid ]; then
    kill -HUP `cat /var/run/inetd.pid` ;
fi

%clean
if [ ! ${RPM_BUILD_ROOT} = / ]; then
  rm -rf ${RPM_BUILD_ROOT} ;
fi

%files
%attr(755, root, root) %dir /var/ftp/
%attr(-, root, root) %doc COPYING README
%attr(-, root, root) /usr/man/man8/ftpd.8
%attr(-, root, root) /usr/sbin/ftpd
%attr(-, root, root) /usr/sbin/mkusers
%attr(0644, root, root) %config /etc/pam.d/ftp
%attr(0755, root, root) %config /etc/cron.daily/mkusers.cron
